# std::basic_string::back

From cppreference.com
< cpp‎ | string‎ | basic string

CharT& back(); |  | (since C++11)
const CharT& back() const; |  | (since C++11)

Returns reference to the last character in the string. The behavior is undefined if empty() == true.

### Parameters

(none)

### Return value

reference to the last character, equivalent to operator[](size() - 1).

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <string>

    int main()
    {
      {
        std::string s("Exemplary");
        char& back = s.back();
        back = 's';
        std::cout << s << '\n'; // "Exemplars"
      }

      {
        std::string const c("Exemplary");
        char const& back = c.back();
        std::cout << back << '\n'; // 'y'
      }
    }

Output:

    Exemplars
    y

### See also

front (C++11) | accesses the first character (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/back&oldid=80835"